Package org.pushingpixels.substance.internal.animation

# Class StateTransitionTracker.ModelStateInfo

java.lang.Object
org.pushingpixels.substance.internal.animation.StateTransitionTracker.ModelStateInfo

Enclosing class:
  `StateTransitionTracker`

public static class StateTransitionTracker.ModelStateInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`ModelStateInfo()`

## Method Summary

Modifier and Type
Method
Description
`ComponentState`
`getCurrModelState()`
`ComponentState`
`getCurrModelStateNoSelection()`
`Map<ComponentState,StateTransitionTracker.StateContributionInfo>`
`getStateContributionMap()`
`Map<ComponentState,StateTransitionTracker.StateContributionInfo>`
`getStateNoSelectionContributionMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelStateInfo

public ModelStateInfo()

## Method Details

### getCurrModelState

public ComponentState getCurrModelState()

### getCurrModelStateNoSelection

public ComponentState getCurrModelStateNoSelection()

### getStateContributionMap

public Map<ComponentState,StateTransitionTracker.StateContributionInfo> getStateContributionMap()

### getStateNoSelectionContributionMap

public Map<ComponentState,StateTransitionTracker.StateContributionInfo> getStateNoSelectionContributionMap()